Package io.milvus.param.control

## Class GetReplicasParam.Builder

- java.lang.Object
- - io.milvus.param.control.GetReplicasParam.Builder

- Enclosing class:
    GetReplicasParam

      public static final class GetReplicasParam.Builder
      extends java.lang.Object

  Builder for `GetReplicasParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GetReplicasParam` | `build()` | Verifies parameters and creates a new `GetReplicasParam` instance.
    `GetReplicasParam.Builder` | `withCollectionName​(@NonNull java.lang.String collectionName)` | Sets the collection name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withCollectionName

          public GetReplicasParam.Builder withCollectionName​(@NonNull
                                                             @NonNull java.lang.String collectionName)

      Sets the collection name. Collection name cannot be empty or null.
      Parameters:
        `collectionName` - collection name
      Returns:
        `Builder`

    - #### build

          public GetReplicasParam build()
                                 throws ParamException

      Verifies parameters and creates a new `GetReplicasParam` instance.
      Returns:
        `GetReplicasParam`
      Throws:
        `ParamException`